Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 517858 - Review Request: RackTables - RackTables is a datacenter asset management system
Summary: Review Request: RackTables - RackTables is a datacenter asset management system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 14:12 UTC by Colin Coe
Modified: 2015-02-03 13:23 UTC (History)
3 users (show)

Fixed In Version: 0.17.4-7.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-19 17:21:42 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Colin Coe 2009-08-17 14:12:01 UTC
Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-1.src.rpm
Description: RackTables is a datacenter asset management system.

Comment 1 Jason Tibbitts 2009-08-18 17:18:10 UTC
It seems that you are not in the packager group.  Have you read through http://fedoraproject.org/wiki/Join_the_package_collection_maintainers?  If not, you really should, and if so then you missed the bit about telling folks that you need a sponsor.

Comment 2 Colin Coe 2009-08-18 22:22:33 UTC
Sorry, I forgot to state that I need a sponsor.

CC

Comment 3 Colin Coe 2009-08-21 04:20:30 UTC
koji build --scratch dist-f11 ../SRPMS/RackTables-0.17.4-1.fc11.src.rpm 
Uploading srpm: ../SRPMS/RackTables-0.17.4-1.fc11.src.rpm
[====================================] 100% 00:00:09 382.60 KiB  39.93 KiB/sec
Created task: 1619497
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1619497
Watching tasks (this may be safely interrupted)...
1619497 build (dist-f11, RackTables-0.17.4-1.fc11.src.rpm): free
1619497 build (dist-f11, RackTables-0.17.4-1.fc11.src.rpm): free -> open (x86-6.fedora.phx.redhat.com)
  1619498 buildArch (RackTables-0.17.4-1.fc11.src.rpm, noarch): open (x86-4.fedora.phx.redhat.com)
  1619498 buildArch (RackTables-0.17.4-1.fc11.src.rpm, noarch): open (x86-4.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1619497 build (dist-f11, RackTables-0.17.4-1.fc11.src.rpm): open (x86-6.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1619497 build (dist-f11, RackTables-0.17.4-1.fc11.src.rpm) completed successfully

Comment 4 Colin Coe 2009-09-08 13:05:24 UTC
Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-3.src.rpm

- Tidied spec file 
- Fixed the associated Apache config file which was syntactically incorrect
- Added 'quickstart.sh' script to make installing RackTables easier for new users

CC

Comment 5 Mamoru TASAKA 2009-09-09 18:03:21 UTC
Well, I don't know how to use this package, however:

* Summary
---------------------------------------------------------
RackTables.noarch: W: name-repeated-in-summary RackTables
---------------------------------------------------------
  - On Fedora now we think that repeating the package's name in
    Summary is just redundant.

* License
  - All scripts are under GPLv2 and its compat licenses. However
    this package also includes some "contents" and are under
    CC-BY-SA.
    I think showing contents' license is preferable, so I recommend
    to "GPLv2 and CC-BY-SA" as license tag.

* About /usr/share/RackTables/inc/secret.php:
----------------------------------------------------------
RackTables.noarch: E: file-in-usr-marked-as-conffile /usr/share/RackTables/inc/secret.php
RackTables.noarch: E: non-readable /usr/share/RackTables/inc/secret.php 0660
RackTables.noarch: E: zero-length /usr/share/RackTables/inc/secret.php
----------------------------------------------------------
  - The latter 2 rpmlint errors (non-readable and zero-length) are perhaps
    by intention, however just to be clear would you explain if these
    are as you expect?

  - The first one rpmlint error should be fixed. All configuration files
    should be under %{_sysconfdir}.
    If this file needs to be under %{_datadir}/%{name}/inc, you should
    * Create %{_sysconfdir}/%{name} directory
    * Put secret.php under %{_sysconfdir}/%{name}
    * And create a symlink of %{_datadir}/%{name}/inc/secret.php which
      points to %{_sysconfdir}/%{name}/secret.php.

* spec file cleanup
-----------------------------------------------------------
mkdir -p $RPM_BUILD_ROOT%{_docdir}
-----------------------------------------------------------
  - What is this line for?
  ! Note
    "%doc COPYING" entry in %files
    - first removes %buildroot%_defaultdocdir/%{name}-%{version}
    - then creates %buildroot%_defaultdocdir/%{name}-%{version}
    - and installs files specified by %doc to 
      %buildroot%_defaultdocdir/%{name}-%{version}

* %files
  - build.log says:
-----------------------------------------------------------
    80  warning: File listed twice: /usr/share/RackTables/inc/secret.php
-----------------------------------------------------------
    In the spec file, this file is actually listed as twice:
-----------------------------------------------------------
%files
%attr(660,root,apache) %config(noreplace) %{_datadir}/%{name}/inc/secret.php
%{_datadir}/%{name}/*
-----------------------------------------------------------
    Please fix this so that this file is listed only once in the
    spec file.

Comment 6 Colin Coe 2009-09-10 00:20:44 UTC
Hi and thank you for another detailed, constructive review.

- Removed redundant 'RackTables' from the summary and description.
- Changed license as suggested.
- Put secret.php into /etc/RackTables (I've found that it doesn't have to be empty) and created symlink back to %{_datadir}/%{name}/inc.
- Removed 'mkdir -p $RPM_BUILD_ROOT%{_docdir}'
- Stopped listing inc/secret.php twice.

[build@rpm02 ~]$ rpmlint /var/lib/mock/hp-rhel-5-x86_64/root/builddir/build/SPECS/RackTables.spec /var/lib/mock/hp-rhel-5-x86_64/result/*rpm
RackTables.noarch: W: dangling-relative-symlink /usr/share/RackTables/inc/secret.php ../../etc/RackTables/secret.php
RackTables.noarch: W: incoherent-version-in-changelog 0.17.4-4 0.17.4-4.el5
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
[build@rpm02 ~]$

Not sure how to address the 'dangling symlink' warning.

Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-4.src.rpm

Thanks again

CC

Comment 7 Mamoru TASAKA 2009-09-10 07:35:02 UTC
(In reply to comment #6)
> SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-4.src.rpm
Seems 404...

By the way, while currently I cannot see your newest spec:
> RackTables.noarch: W: dangling-relative-symlink /usr/share/RackTables/inc/secret.php ../../etc/RackTables/secret.php

note that the directory name of "/usr/share/RackTables/inc/secret.php"
is "/usr/share/RackTables/inc" and the relative path to 
"/etc/RackTables/secret.php" from there is
"../../../../etc/RackTables/secret.php".

Comment 8 Colin Coe 2009-09-10 08:30:44 UTC
Oops, sorry.  They're there now.

CC

Comment 9 Colin Coe 2009-09-10 10:25:11 UTC
Fixed dangling symlink.  Not sure how I missed that, it was pretty obvious really.

Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-5.src.rpm

Could I also trouble you to review BZ#489424?  It's been assigned but there's not been much action.

Thanks

CC

Comment 10 Mamoru TASAKA 2009-09-10 17:00:29 UTC
For -5:

? Duplicate files
  - I noticed that 4 document files "COPYING LICENSE ChangeLog README"
    are installed under both /usr/share/RackTables and 
    /usr/share/doc/RackTables-0.17.4 .

    Would you check if 4 document files under /usr/share/RackTables
    are needed? (If needed, you don't have to remove these files).

* About %{_sysconfdir}/%{name}/secret.php
  - The directory %{_sysconfdir}/%{name} is not owned by any packages,
    which must be owned by this package.

  - Is the permission/owner/group of this files okay with
    the current setting (i.e. 0644 permission with (root,root))?

! Note
----------------------------------------------------------
%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
----------------------------------------------------------
  can be simplified with
----------------------------------------------------------
%files
%{_datadir}/%{name}/
----------------------------------------------------------
  The latter form contains the directory %_datadir/%name and all
  files/directories/etc under %_datadir/%name.

Comment 11 Colin Coe 2009-09-11 11:18:02 UTC
Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-6.src.rpm

- Own /etc/RackTables/
- Fix duplicate files
- Set ownership/mode of /etc/RackTables/secret.php correctly
- Fix contrib/quickinstall.sh to write a valid /etc/RackTables/secret.php

[coec@rsim SPECS]$ rpmlint /home/coec/rpmbuild/SRPMS/RackTables-0.17.4-6.fc11.src.rpm /home/coec/rpmbuild/RPMS/noarch/RackTables-0.17.4-6.fc11.noarch.rpm RackTables.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
[coec@rsim SPECS]$

Comment 12 Mamoru TASAKA 2009-09-12 15:52:00 UTC
For -6:

* %_docdir
  - Again I see this line:
-----------------------------------------------------------
    35  mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
-----------------------------------------------------------

* Some more cleanup
-----------------------------------------------------------
    24  %setup -qn %{name}-%{version}
-----------------------------------------------------------
  - This can be simplified as "%setup -q" because
    the default directory of %setup is "%{name}-%{version}"

-----------------------------------------------------------
    39  cp -a ../%{name}-%{version}/* $RPM_BUILD_ROOT%{_datadir}/%{name}
-----------------------------------------------------------
  - This can be simplified as
-----------------------------------------------------------
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}
-----------------------------------------------------------
    because at this stage the working directory is
    %{_builddir}/%{name}-%{version}

* About quickinstall.sh
  - Maybe it is good to check the id (of this script) in this script
    because at least this script needs the previledge to write to
    /usr/share/RackTables/inc/secret.php .

Comment 13 Colin Coe 2009-09-13 01:19:13 UTC
Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-7.src.rpm

- Simplify setup
- Step making docdir/name
- Simplify copy
- Make contrin/quickinsta.sh quit unless it's run by root

rpmlint /home/coec/rpmbuild/SRPMS/RackTables-0.17.4-7.fc11.src.rpm /home/coec/rpmbuild/RPMS/noarch/RackTables-0.17.4-7.fc11.noarch.rpm ~/rpmbuild/SPECS/RackTables.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 14 Mamoru TASAKA 2009-09-13 16:13:28 UTC
(In reply to comment #13)
> Spec URL: http://members.iinet.net.au/~coec/RackTables.spec
> SRPM URL: http://members.iinet.net.au/~coec/RackTables-0.17.4-7.src.rpm

$ LANG=C wget -N http://members.iinet.net.au/~coec/RackTables-0.17.4-7.src.rpm
--2009-09-14 01:12:46--  http://members.iinet.net.au/~coec/RackTables-0.17.4-7.src.rpm
Resolving members.iinet.net.au... 203.0.178.90
Connecting to members.iinet.net.au|203.0.178.90|:80... connected.
HTTP request sent, awaiting response... 401 Authorization Required
Authorization failed.

???

Comment 15 Colin Coe 2009-09-15 00:06:28 UTC
My sincere apologies.  This was not intentional and has been resolved.

SRPM: http://members.iinet.net.au/~coec/RackTables-0.17.4-7.fc11.src.rpm

This SRPM should address the remaining problems that you have highlighted.

Thankyou for the constructive reviews and again, my apologies.

CC

Comment 16 Mamoru TASAKA 2009-09-15 16:56:12 UTC
Okay.

-------------------------------------------------------
  This package (RackTables) is APPROVED by mtasaka
-------------------------------------------------------

Comment 17 Colin Coe 2009-09-15 23:23:07 UTC
New Package CVS Request
=======================
Package Name: RackTables
Short Description: A datacenter asset management system
Owners: coec
Branches: F-10 F-11 EL-5
InitialCC: coec

Comment 18 Jason Tibbitts 2009-09-16 21:43:46 UTC
CVS done.

Comment 19 Fedora Update System 2009-09-17 13:01:44 UTC
RackTables-0.17.4-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/RackTables-0.17.4-7.fc11

Comment 20 Fedora Update System 2009-09-17 13:01:51 UTC
RackTables-0.17.4-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/RackTables-0.17.4-7.fc10

Comment 21 Fedora Update System 2009-09-17 13:01:56 UTC
RackTables-0.17.4-7.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/RackTables-0.17.4-7.el5

Comment 22 Fedora Update System 2009-09-17 18:01:25 UTC
RackTables-0.17.4-7.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RackTables'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0473

Comment 23 Fedora Update System 2009-09-19 00:05:28 UTC
RackTables-0.17.4-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RackTables'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9705

Comment 24 Fedora Update System 2009-09-19 00:19:05 UTC
RackTables-0.17.4-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RackTables'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9797

Comment 25 Mamoru TASAKA 2009-09-19 17:21:42 UTC
Closing.

Comment 26 Fedora Update System 2009-10-15 22:37:48 UTC
RackTables-0.17.4-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2009-10-15 22:41:31 UTC
RackTables-0.17.4-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2009-10-16 19:32:41 UTC
RackTables-0.17.4-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Colin Coe 2014-12-29 03:39:59 UTC
Package Change Request
======================
Package Name: RackTables
New Branches: epel7
Owners: Colin Coe

Comment 30 Colin Coe 2015-02-02 13:25:55 UTC
Package Change Request
======================
Package Name: RackTables
New Branches: epel7
Owners: coec

Comment 31 Gwyn Ciesla 2015-02-03 13:23:58 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.